Summary:	Performous - The All-in-One Music Game
Summary(pl.UTF-8):	Performous - wiele gier muzycznych w jednej
Name:		performous
Version:	1.0
Release:	6
License:	GPL v2+
Group:		Applications
Source0:	https://github.com/performous/performous/archive/1.0/%{name}-%{version}.tar.gz
# Source0-md5:	cbeec2f0c0114cc499746c1e33f56055
Patch0:		bool_cast.patch
Patch1:		ffmpeg3.patch
URL:		http://performous.org/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	SDL2-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.6
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-tools
BuildRequires:	glew-devel
BuildRequires:	glibmm-devel
BuildRequires:	help2man
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel
BuildRequires:	libsigc++-devel
BuildRequires:	libxml++2-devel
BuildRequires:	opencv-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
Suggests:	%{name}-tools = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An open-source karaoke, band and dancing game where one or more
players perform a song and the game scores their perform ances.
Supports songs in UltraStar, Frets on Fire and StepMania formats.
Microphones and instruments from SingStar, Guit ar Hero and Rock Band
as well as some dance pads are autodetected.

%description -l pl.UTF-8
Karaoke, gitara i taniec w jednej grze. Obsługuje utwory w formatach
UltraStar, Frets on Fire i StepManii. Mikrofony i kontrolery z gier
SingStar, Guitar Hero i Rock Band oraz maty do tańca są automatycznie
wykrywane.

%package tools
Summary:	Performous tools
Summary(pl.UTF-8):	Narzędzia do programu Performous
Group:		Applications

%description tools
Several utilities for converting data files for Performous.

%description tools -l pl.UTF-8
Zestaw narzędzi do konwersji danych dla programu Performous.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mkdir build

%build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_CXX_FLAGS_RELEASE="%{rpmcxxflags} -std=gnu++11" \
	-DCMAKE_DEBUG_FLAGS_RELEASE="%{debugcflags}" \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DMagick_LIBRARY="$(echo %{_libdir}/libMagickCore-*.so)" \
	-DMagick++_LIBRARY="$(echo %{_libdir}/libMagick++-*.so)" \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif
%if "%{_lib}" == "libx32"
	-DLIB_SUFFIX=x32
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p docs/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{zh,zh_CN}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.txt docs/{Authors,instruments}.txt
%attr(755,root,root) %{_bindir}/performous
%{_datadir}/games/%{name}
%{_mandir}/man6/performous.6*
%{_desktopdir}/performous.desktop
%{_pixmapsdir}/performous.svg

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gh_*_decrypt
%attr(755,root,root) %{_bindir}/itg_pck
%attr(755,root,root) %{_bindir}/ss_*
%{_mandir}/man1/gh_*_decrypt.1*
%{_mandir}/man1/ss_*.1*
%changelog
* Sun Apr 09 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/performous.git;a=log;h=master

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 1217fcc
- rebuild with boost 1.63.0
- release 6 (by relup.sh)

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> 44d06e7
- rebuild with ImageMagick 7.0.3
- release 5 (by relup.sh)

* Fri May 27 2016 Jan Rękorajski <baggins@pld-linux.org> 0d878bf
- rebuild with boost 1.61
- release 4 (by relup.sh)

* Wed Mar 30 2016 Jan Rękorajski <baggins@pld-linux.org> ebc3ca9
- fix building with ffmpeg 3
- rel 3

* Tue Jan 26 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 7b8ade4
- Release: 2

* Sun Dec 06 2015 Jacek Konieczny <jajcus@jajcus.net> c02906e
- Release: 1

* Sun Dec 06 2015 Jacek Konieczny <jajcus@jajcus.net> fabd735
- Polish description updated

* Sat Dec 05 2015 Jacek Konieczny <jajcus@jajcus.net> a4df6f2
- Version: 1.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6d60c35
- updated gettext BR

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 89a01c9
- release 5 (by relup.sh)

* Tue May 21 2013 Jacek Konieczny <jajcus@jajcus.net> f69e77a
- Fix sound output when using new ffmpeg

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> dc4e946
- release 3 (by relup.sh)

* Fri Nov 16 2012 Jan Rękorajski <baggins@pld-linux.org> 73b4d4f
- fix chinese locale location
- rel 2

* Tue Nov 13 2012 Jan Rękorajski <baggins@pld-linux.org> 0c276d1
- updated to 0.7.0
- removed obsolete patches

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5aa9c28
- release 20 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> b74c6e0
- Fixed lib64 and some other cmake problems
Build with glib 2.32 and boost 1.50
Release 19

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 602db93
- release 18

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 383cf36
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> d1cb334
- mkdir build in prep (fixes short-circuit builds)
- release 17 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 09e0b09
- release 16

